curl --request PATCH \
--url https://api.siftstack.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}Update select fields of an existing webhook.
curl --request PATCH \
--url https://api.siftstack.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'{
"webhook": {
"webhookId": "<string>",
"organizationId": "<string>",
"targetUrl": "<string>",
"name": "<string>",
"eventType": "WEBHOOK_EVENT_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
],
"payload": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request for a call to WebhookService_UpdateWebhook to update a webhook.
A successful response.
The response of a call to WebhookService_UpdateWebhook. To archive a webhook, specify archived_date
in the update mask as well as a non-null value for archived_date in the webhook object.
To unarchive a webhook, specify archived_date in the update mask and a null value for
archived_date in the webhook object.
Show child attributes
Was this page helpful?